package com.ho.business.service;

import com.ho.business.entity.DropDownVo;
import com.ho.business.entity.PlanningCurveTemplate;
import com.ho.business.entity.PlanningPolicy;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

public interface PlanningPolicyService {

    public List<PlanningPolicy> getPlanningPolicys(PlanningPolicy policy);

    public List<PlanningPolicy> getPlanningPolicyDetail4Modify(PlanningPolicy policy);

    public Map<String,Object> addPlanningPolicy(PlanningPolicy policy);

    public Map<String,Object> modifyPlanningPolicy(PlanningPolicy policy);

    public Map<String,Object> deletePlanningPolicy(List<Integer> ids);

    public List<DropDownVo> queryPolicyTypes();

    public List<DropDownVo> queryPolicyPriority();

    public Map<String, Object> batchImport(String fileName, MultipartFile file,Integer stationId) throws Exception;

    public List<PlanningCurveTemplate> getPlanningCurveTemplates(Integer stationId);

}
